Bug 139820 - Hang: Undoing paste of block with empty cells
Summary: Hang: Undoing paste of block with empty cells
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: All All
: medium normal
Assignee: Luboš Luňák
URL:
Whiteboard: target:7.2.0 target:7.1.2
Keywords: bibisected, perf, regression
Depends on:
Blocks: Paste multi_type_vector-regressions
  Show dependency treegraph
 
Reported: 2021-01-21 19:54 UTC by Xisco Faulí
Modified: 2021-02-24 08:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-01-21 19:54:13 UTC
This is a follow-up of bug 112000 that I found while creating a unittest for it: https://gerrit.libreoffice.org/c/core/+/109767

Steps to reproduce:
1. Open calc
2. Type '1' in A1
3. Select A1:A2
4. Select B
5. Paste -> up to here it's bug 112000
6. Undo

-> LibreOffice hangs

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: bd6214e2aa6f25e013eef769529b75c1e3b580cb
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-01-21 19:58:00 UTC
Regression introduced in range https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=c7bdee8dbd1cf260a8513a0d31b36f90daa70f1c..4c99a427ee4adaeddb2682c192384bad21d9d09b

@Luboš Luňák, since you fixed bug 112000 I thought you might be interested in this issue
Comment 2 Luboš Luňák 2021-02-09 12:35:13 UTC
I'll have a look as time permits.
Comment 3 Commit Notification 2021-02-19 09:41:36 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b9921adae997579915b4600c688719620f9adaf6

"delete" also empty Calc cells if it helps mdds (tdf#139820)

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2021-02-22 09:34:26 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 26d23c96d449c201e50df04023d9cbfd59d3d133
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Luboš Luňák, thanks for fixing this issue!!
Comment 5 Commit Notification 2021-02-23 08:27:42 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/e5440ba8a0f19bbb354b284cec77702fa58bf505

"delete" also empty Calc cells if it helps mdds (tdf#139820)

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-02-23 16:48:21 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f826d72cdf8bd243bba5b8b4f3ebdd5c3a3375a3

Revert ""delete" also empty Calc cells if it helps mdds (tdf#139820)"

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-02-23 16:48:32 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/13be1527c0e5a5c13d73e73af8c1bc7df0a2f603

delete from mdds in reverse order (tdf#139820)

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-02-24 08:46:43 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/57782b9a56309dcc3bb402b17691d4f46706ca73

Revert ""delete" also empty Calc cells if it helps mdds (tdf#139820)"

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-02-24 08:47:54 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/cbfc211c50daef5b9b477d0731d48982898d40b7

delete from mdds in reverse order (tdf#139820)

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.